QGIS Application - Bug report #21125

Range widget gives NULL value in Attributes Form/Table

2019-01-29 09:42 PM - Nathan Perry

Status: Closed
Priority: Normal
Assignee:

Category: Attribute table

Affected QGIS version:3.4.4
Operating System: Mac OS 10.14.3
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 28943

Description

When updating a field value using the Range widget in the Attribute Form or Attribute Table, if "Allow NULL" is enabled, the entered value
will not be accepted and the field will be changed to a NULL value. The up/down arrows in the widget are disabled and any value typed in
will be ignored. The value can still be updated using the field calculator, by unchecking "Allow NULL" or by changing the widget to Text

Edit.

History

#1 - 2019-01-30 11:22 AM - Giovanni Manghi
- Status changed from Open to Feedback

fixed by https:/github.com/qgis/QGIS/pull/9033 ?

#2 - 2019-01-30 01:31 PM - Hugo Mercier
- Status changed from Feedback to Closed

Yes, now fixed by https://github.com/qgis/QGIS/pull/9033

2024-04-28

1/1



https://github.com/qgis/QGIS/pull/9033
https://github.com/qgis/QGIS/pull/9033

